<?php

namespace Hecate\Style;

class Constants {

	const MEDIA_DESKTOP = 'desktop';
	const MEDIA_TABLET  = 'tablet';
	const MEDIA_MOBILE  = 'mobile';
	const STATE_NORMAL  = 'normal';
	const STATE_HOVER   = 'hover';

	public static function getMedia() {
		return array( static::MEDIA_DESKTOP, static::MEDIA_TABLET, static::MEDIA_MOBILE );
	}

	public static function getStates() {
		return array( static::STATE_NORMAL, static::STATE_HOVER );
	}

	public static function getMediaById() {
		return array(
			static::MEDIA_DESKTOP => array(
				'id'    => static::MEDIA_DESKTOP,
				'query' => '',
			),
			static::MEDIA_TABLET  => array(
				'id'    => static::MEDIA_TABLET,
				'query' => '@media (min-width: 768px) and (max-width: 1023px)',
			),
			static::MEDIA_MOBILE  => array(
				'id'    => static::MEDIA_MOBILE,
				'query' => '@media (max-width: 767px)',
			),
		);
	}

	public static function getStatesById() {
		return array(
			static::STATE_NORMAL => array(
				'id'       => static::STATE_NORMAL,
				'selector' => '',

			),
			static::STATE_HOVER  => array(
				'id'       => static::STATE_HOVER,
				'selector' => ':hover',
			),
		);
	}
}
